List
curl --request GET \
--url https://{defaultHost}/v1/payment_methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/payment_methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/payment_methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/payment_methods"
},
"data": [
{
"id": "cb3bae07-8439-4878-9fa4-caa6874fcd95",
"object": "payment_method",
"external_payment_method_id": "pm_3_Ju1BB2fs4LLhxzSoekOTDo3",
"live_mode": true,
"processor_type": "stripe",
"reusable": true,
"supported_currencies": null,
"type": "card",
"bank_account": null,
"card": "57790310-eb87-4631-910c-59d05db78dfa",
"customer": "10bca543-c99f-4e60-a520-297216b68356",
"payment_instrument": null,
"paypal_account": null,
"created_at": 1782485862,
"updated_at": 1782485862
}
]
}Payment Methods
List
Returns a list of your payment methods.
GET
/
v1
/
payment_methods
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return objects that belong to the given customers.
Only return objects with the given IDs.
A limit on the number of items to be returned, between 1 and 100.
Only return objects that are live mode or test mode.
The page of items you want returned.
Only return payment methods that are reusable or not.
Was this page helpful?
⌘I